Bug 1248914 - upstream:undefined method `[]' for nil:NilClass [vm/right_size] on VM 'Right Size Recommendation'
upstream:undefined method `[]' for nil:NilClass [vm/right_size] on VM 'Right...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: lgalis
Aziza Karol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 03:13 EDT by Aziza Karol
Modified: 2015-12-08 08:25 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:25:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
err (50.57 KB, image/png)
2015-07-31 03:13 EDT, Aziza Karol
no flags Details

  None (edit)
Description Aziza Karol 2015-07-31 03:13:45 EDT
Created attachment 1057934 [details]
err

Description of problem:


Version-Release number of selected component (if applicable):
master.20150731024321_b987b37 

How reproducible:
100%

Steps to Reproduce:
1.Navigate to infrastructure->Virtual machines->select a VM
2.configuration-> Right size recommendations
3.

Actual results:
undefined method `[]' for nil:NilClass [vm_infra/x_button] displayed in UI. see attached screesnhot

Expected results:


Additional info:
production.log:
[----] I, [2015-07-31T03:09:59.095216 #12944:6b998c]  INFO -- : Started POST "/vm_infra/x_button?pressed=vm_right_size" for 127.0.0.1 at 2015-07-31 03:09:59 -0400
[----] I, [2015-07-31T03:09:59.102000 #12944:6b998c]  INFO -- : Processing by VmInfraController#x_button as JS
[----] I, [2015-07-31T03:09:59.102086 #12944:6b998c]  INFO -- :   Parameters: {"check_252"=>"1", "pressed"=>"vm_right_size"}
[----] I, [2015-07-31T03:09:59.248580 #12944:6b998c]  INFO -- :   Rendered layouts/_flash_msg.html.haml (4.0ms)
[----] I, [2015-07-31T03:09:59.252201 #12944:6b998c]  INFO -- :   Rendered vm_common/_right_size.html.haml (32.1ms)
[----] F, [2015-07-31T03:09:59.252442 #12944:6b998c] FATAL -- : Error caught: [NoMethodError] undefined method `[]' for nil:NilClass
/var/www/miq/vmdb/app/models/vim_performance_daily.rb:45:in `find_entries'
/var/www/miq/vmdb/app/models/vim_performance_analysis.rb:476:in `find_perf_for_time_period'
/var/www/miq/vmdb/app/models/vm_or_template/right_sizing.rb:140:in `cpu_usagemhz_rate_average_max_over_time_period'
/var/www/miq/vmdb/app/views/vm_common/_right_size.html.haml:21:in `_app_views_vm_common__right_size_html_haml___3384380401261191012_44569060'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:145:in `block in render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:166:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:333:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:143:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/partial_renderer.rb:339:in `render_partial'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/partial_renderer.rb:310:in `block in render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/abstract_renderer.rb:39:in `block in instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:164:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/abstract_renderer.rb:39:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/partial_renderer.rb:309:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/rendering.rb:100:in `_render_template'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/streaming.rb:217:in `_render_template'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/rendering.rb:83:in `render_to_body'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/rendering.rb:32:in `render_to_body'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/renderers.rb:37:in `render_to_body'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/abstract_controller/rendering.rb:43:in `render_to_string'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/rendering.rb:21:in `render_to_string'
/var/www/miq/vmdb/app/controllers/vm_common.rb:1600:in `block in replace_right_cell'
/var/www/miq/vmdb/app/controllers/vm_common.rb:1610:in `[]'
/var/www/miq/vmdb/app/controllers/vm_common.rb:1610:in `replace_right_cell'
/var/www/miq/vmdb/app/controllers/application_controller/explorer.rb:136:in `x_button_response'
/var/www/miq/vmdb/app/controllers/application_controller/explorer.rb:127:in `x_button'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/callbacks.rb:115:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/callbacks.rb:115:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/callbacks.rb:553:in `block (2 levels) in compile'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/callbacks.rb:503:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/callbacks.rb:503:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/callbacks.rb:88:in `run_callbacks'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:164:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activerecord-4.2.3/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/abstract_controller/base.rb:137:in `process'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/rendering.rb:30:in `process'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal.rb:196:in `dispatch'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal.rb:237:in `block in action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/routing/route_set.rb:76:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/routing/route_set.rb:76:in `dispatch'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/routing/route_set.rb:45:in `serve'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/journey/router.rb:43:in `block in serve'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/journey/router.rb:30:in `each'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/journey/router.rb:30:in `serve'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/routing/route_set.rb:821:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/etag.rb:24:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/conditionalget.rb:38:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/head.rb:13:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/params_parser.rb:27:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/flash.rb:260:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:225:in `context'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:220:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/cookies.rb:560:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activerecord-4.2.3/lib/active_record/query_cache.rb:36:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activerecord-4.2.3/lib/active_record/connection_adapters/abstract/connection_pool.rb:653:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/callbacks.rb:84:in `run_callbacks'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/remote_ip.rb:78:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/rack/logger.rb:38:in `call_app'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/rack/logger.rb:22:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/request_store-1.2.0/lib/request_store/middleware.rb:8:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/request_id.rb:21:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/methodoverride.rb:22:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/runtime.rb:18:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/lock.rb:17:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/sendfile.rb:113:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/engine.rb:518:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/application.rb:165:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/content_length.rb:15:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/thin-1.3.1/lib/thin/connection.rb:80:in `block in pre_process'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/thin-1.3.1/lib/thin/connection.rb:78:in `catch'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/thin-1.3.1/lib/thin/connection.rb:78:in `pre_process'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/thin-1.3.1/lib/thin/connection.rb:53:in `process'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/thin-1.3.1/lib/thin/connection.rb:38:in `receive_data'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run_machine'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/thin-1.3.1/lib/thin/backends/base.rb:61:in `start'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/thin-1.3.1/lib/thin/server.rb:159:in `start'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/handler/thin.rb:19:in `run'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/server.rb:286:in `start'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/server.rb:80:in `start'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:80:in `block in server'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:75:in `tap'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:75:in `server'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
Comment 1 Aziza Karol 2015-07-31 03:15:45 EDT
Github link-https://github.com/ManageIQ/manageiq/issues/3658
Comment 4 CFME Bot 2015-08-06 22:39:07 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/234fbe58081fa9c45e3e7f949ccd94997de913f8

commit 234fbe58081fa9c45e3e7f949ccd94997de913f8
Author:     Laura Galis <lgalis@redhat.com>
AuthorDate: Fri Jul 31 11:13:15 2015 -0400
Commit:     Laura Galis <lgalis@redhat.com>
CommitDate: Thu Aug 6 17:31:00 2015 -0400

    Exception when navigating to the Right Size Recommendation tab
    
    https://github.com/ManageIQ/manageiq/issues/3658
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1248914

 app/models/vim_performance_daily.rb | 1 +
 1 file changed, 1 insertion(+)
Comment 5 Aziza Karol 2015-09-16 07:01:36 EDT
Verified in master.20150916002314_4e04cf0
Comment 6 Aziza Karol 2015-09-18 06:34:11 EDT
Verified in 5.5.0.1-alpha1.20150915151429_2230bd4.
Comment 8 errata-xmlrpc 2015-12-08 08:25:07 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.